GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "e56424bc-756a-4c8e-883c-af6db9e99cd0",
"customer_id": "35205434-7f35-4304-a0cd-6fd844541e5b",
"grouping_quantity": 1,
"id": "128e5c2a-ed20-422a-9117-5e8a4c84943e",
"item_service_id": "0f00e2e8-e54e-49ca-b49d-89b8c5d2fa59",
"item_garment_type_id": "7a832268-0fb9-41f8-91b2-61ddb1414569",
"item_segment_id": "9bbaa15b-cade-40d0-b580-ca8315258ace",
"item_type_id": "c69f8f49-daf9-479a-9dc3-e2cb4c9a0265",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "611628e5-144c-4225-a506-73d34b0e5a7c",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>e56424bc-756a-4c8e-883c-af6db9e99cd0</color_id>
<customer_id>35205434-7f35-4304-a0cd-6fd844541e5b</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>128e5c2a-ed20-422a-9117-5e8a4c84943e</id>
<item_garment_type_id>7a832268-0fb9-41f8-91b2-61ddb1414569</item_garment_type_id>
<item_segment_id>9bbaa15b-cade-40d0-b580-ca8315258ace</item_segment_id>
<item_service_id>0f00e2e8-e54e-49ca-b49d-89b8c5d2fa59</item_service_id>
<item_type_id>c69f8f49-daf9-479a-9dc3-e2cb4c9a0265</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>611628e5-144c-4225-a506-73d34b0e5a7c</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>